import { registerAs } from '@nestjs/config';

export default registerAs('broker', () => ({
  uri: process.env.MESSAGE_BROKER_URI ?? 'amqp://v3-broker:5672',
  exchange: process.env.MESSAGE_BROKER_EXCHANGE ?? 'mobicoop',
  durability: process.env.MESSAGE_BROKER_EXCHANGE_DURABILITY
    ? process.env.MESSAGE_BROKER_EXCHANGE_DURABILITY === 'false'
      ? false
      : true
    : true,
}));
