import { ConfigurationIdentifier } from '@mobicoop/configuration-module';
import { Command, CommandProps } from '@mobicoop/ddd-library';

export class SetConfigurationCommand extends Command {
  readonly configurationIdentifier: ConfigurationIdentifier;
  readonly value: string | boolean | number;

  constructor(props: CommandProps<SetConfigurationCommand>) {
    super(props);
    this.configurationIdentifier = props.configurationIdentifier;
    this.value = props.value;
  }
}
