import {
  ConfigurationDomain,
  ConfigurationIdentifier,
} from '@mobicoop/configuration-module';
import { QueryBase } from '@mobicoop/ddd-library';

export class GetConfigurationQuery extends QueryBase {
  readonly configurationIdentifier: ConfigurationIdentifier;

  constructor(domain: ConfigurationDomain, key: string) {
    super();
    this.configurationIdentifier = {
      domain,
      key,
    };
  }
}
